Chuyển đến nội dung
Diễn đàn CADViet

ndtnv

Thành viên
  • Số lượng nội dung

    513
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    38

Cộng đồng

452 (tốt)

1 Người theo dõi

About ndtnv

  • Cấp bậc
    biết lệnh xref

Phương pháp liên hệ

  • ICQ
    0
  • Yahoo
    ndtiemsp@gmail.com

Thông tin hồ sơ

  • Giới tính
    Male
  • Vị trí
    Saigon

Khách truy cập Tiểu sử gần đây

10.201 chế độ xem tiểu sử
  1. ndtnv

    Hỏi cách chuyển layer đường tròn

    Dùng các hàm: vla-get-Color , vla-put-Color vla-get-Linetype , vla-put-Linetype vla-get-LineWeight , vla-put-LineWeight Biến hệ thống tương ứng: CECOLOR , CELTYPE , CELWEIGHT
  2. ndtnv

    Nhờ kiểm tra giúp code lisp

    Tôi chỉ sửa lỗi vòng lặp, còn kết quả khi không có dxf 11 ra thế nào thì bạn tự sửa (if (setq ss (ssget '((0 . "TEXT")))) (progn (setq ssl (acet-ss-to-list ss)) (setq ssl (vl-sort ssl '(lambda (x y) ( > (caddr (assoc 11 (entget x))) (caddr (assoc 11 (entget y))))))) ;;; (setq h (cdr(assoc 40 (entget (car ssl))))) ;;; i 1 p0 p1 ) (foreach dt ssl ;;; (command "text" "j" "mc" (list (+ (car p0) (* 3 h)) (- (cadr p0) h)) h 0 (cdr (assoc 1 (entget dt)))) ;;; (command "rectangle" p0 (list (+ (car p0) (* 6 h)) (- (cadr p0) (* 2 h)))) ;;; (setq p0 (list (+ (car p0) (* 6 h)) (cadr p0))) (setq str (strcat str "\t" (cdr(assoc 1 (entget dt))) "\n")) );;;foreach (SetClipBoardText str) ) ;;; (setq p1 (list (car p1) (- (cadr p1) (* 2 h)))) )
×